curl --request GET \
--url https://{host}/api/v3/userdates \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/api/v3/userdates"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/api/v3/userdates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"source": 1,
"dtt": "07:00:00",
"drt": "04:15:00",
"draj": "03:30:00",
"isHoliday": true,
"isWeeklyRest": true,
"items": [
{
"type": "ptt",
"startsAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"timeline": "WorkCycle"
}
],
"am": {
"source": 1,
"dtt": "07:00:00",
"drt": "04:15:00",
"draj": "03:30:00",
"isHoliday": true,
"isWeeklyRest": true,
"items": [
{
"type": "ptt",
"startsAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"timeline": "WorkCycle"
}
]
},
"pm": {
"source": 1,
"dtt": "07:00:00",
"drt": "04:15:00",
"draj": "03:30:00",
"isHoliday": true,
"isWeeklyRest": true,
"items": [
{
"type": "ptt",
"startsAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"timeline": "WorkCycle"
}
]
}
}
]
}
}{
"Status": 401,
"Message": "Unauthorized"
}{
"Status": 401,
"Message": "Unauthorized"
}{
"Status": 401,
"Message": "Unauthorized"
}{
"Status": 401,
"Message": "Unauthorized"
}List UserDates.
Retrieve a list of UserDates.
Performance
In order to keep satisfactory response times and performance, please filter the request on a limited set of OwnerId[] and reduce the period date=between,{start},{end}.
As a rule of thumb, do not request for more than ~10 owners over a whole month.
Format
The date query parameter should match the form ?date=between,{start},{includedEnd}.
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
User's identifiers.
x >= 1The period over which working hours should be returned for given Users. Format: 'between,{start},{includedEnd}'.
"between,2021-01-01,2021-02-01"
List of all fields to be returned by the server.
Example: ?fields=ownerId,date,dtt,drt,draj, items[startsAt,duration,type,timeline
Response
OK
Show child attributes
Show child attributes
Related topics
Get Started with the Schedule APIThe user-date resourceLegacy API ChangelogList UsersList userLocationsWas this page helpful?